<#ibiztemplate>
PUBOBJ=Vue2.PSVue2DEWizardCode
</#ibiztemplate>
/**
 * 向导面板
 *
 * @class ${srfclassname('${ctrl.name}')}
 * @extends {IBizWizardPanel}
 */
var ${view.codeName}_${srfclassname('${ctrl.name}')} = /** @class */ (function (_super) {
    __extends(${srfclassname('${ctrl.name}')}, _super);

    /**
     * Creates an instance of ${srfclassname('${ctrl.name}')}.
     * 创建 ${srfclassname('${ctrl.name}')} 实例
     *
     * @param {*} [opts={}]
     * @memberof ${srfclassname('${ctrl.name}')}
     */
    function ${srfclassname('${ctrl.name}')}(opts) {
        if (opts === void 0) { opts = {}; }
        return _super.call(this, opts) || this;
    }

    /**
     * 注册向导表单
     *
     * @memberof ${srfclassname('${ctrl.name}')}
     */
    ${srfclassname('${ctrl.name}')}.prototype.regWizardForms = function () {
        <#list ctrl.getPSDEEditForms() as form>
        this.regForm(this.getViewController().getControl('${form.name}'));
        </#list>
    };
    /**
     * 注册表单面板行为
     *
     * @memberof ${srfclassname('${ctrl.name}')}
     */
    ${srfclassname('${ctrl.name}')}.prototype.regFormActions = function () {
        <#if ctrl.getPSDEWizard()??>
        <#assign wizard=ctrl.getPSDEWizard()>
        <#if wizard.getPSDEWizardForms()??>
        <#list wizard.getPSDEWizardForms() as form>
        this.regAction('${ctrl.name}_form_${form.getFormTag()}', [<#list form.getStepActions() as action><#if action_index gt 0>,</#if>'${action}'</#list>]);
        </#list>
        </#if>
        </#if>
    };
    /**
     * 注册步骤
     *
     * @memberof ${srfclassname('${ctrl.name}')}
     */
    ${srfclassname('${ctrl.name}')}.prototype.regSteps = function () {
        <#if ctrl.getPSDEWizard()??>
        <#assign wizard=ctrl.getPSDEWizard()>
        <#if wizard.getPSDEWizardSteps()??>
        <#list wizard.getPSDEWizardSteps() as step>
        this.steps.push({tag: '${step.getStepTag()}', title: '${step.getTitle()}', subTitle: '${step.getSubTitle()}'});
        </#list>
        </#if>
        </#if>
    };
    /**
     * 注册表单步骤集合
     *
     * @memberof ${srfclassname('${ctrl.name}')}
     */
    ${srfclassname('${ctrl.name}')}.prototype.regFormSteps = function () {
        <#if ctrl.getPSDEWizard()??>
        <#assign wizard=ctrl.getPSDEWizard()>
        <#if wizard.getPSDEWizardForms()??>
        <#list wizard.getPSDEWizardForms() as form>
        this.regFormStep('${ctrl.name}_form_${form.getFormTag()}', '<#if form.getPSDEWizardStep()??>${form.getPSDEWizardStep().getStepTag()}</#if>');
        </#list>
        </#if>
        </#if>
    };
    /**
     * 设置默认表单
     *
     * @memberof ${srfclassname('${ctrl.name}')}
     */
    ${srfclassname('${ctrl.name}')}.prototype.setDefFrom = function () {
        <#if ctrl.getPSDEWizard()??>
        <#assign wizard=ctrl.getPSDEWizard()>
        <#if wizard.getPSDEWizardForms()??>
        <#list wizard.getPSDEWizardForms() as form>
        <#if form.isFirstForm()>
        this.curFormName = '${ctrl.name}_form_${form.getFormTag()}';
        this.curForm = this.getForm('${ctrl.name}_form_${form.getFormTag()}');
        </#if>
        </#list>
        </#if>
        </#if>
    };
    return ${srfclassname('${ctrl.name}')};
}(IBizWizardPanel));