<div class="ibiz-data-grid">
    <row style="height:<#if ctrl.isEnablePagingBar()>calc(100% - 50px)<#else>100%</#if>;">
        <el-table ref="multipleTable" :data="${ctrl.name}.items" :show-header="${(!ctrl.isHideHeader())?c}" height="100%"
            @select="${ctrl.name}.elementSelect(arguments)" @select-all="${ctrl.name}.elementSelectAll(arguments)" @row-click="${ctrl.name}.elementRowClick(arguments)" 
            @row-dblclick="${ctrl.name}.elementRowDblclick(arguments)" <#if (!ctrl.isNoSort())> @sort-change="${ctrl.name}.elementSortChange(arguments)" </#if> 
            style="width: <#if (ctrl.getWidth() gt 0)>${ctrl.getWidth()?c}<#else>100%</#if>;"<#if (ctrl.getHeight() gt 0)> height="${ctrl.getHeight()?c}"</#if><#if (!ctrl.isNoSort()) && (ctrl.getMinorSortPSDEF()??) && (ctrl.getMinorSortDir()??)> :default-sort="{ prop: '${ctrl.getMinorSortPSDEF().getCodeName()?lower_case}', order: '<#if ctrl.getMinorSortDir()== 'DESC'>descending<#else>ascending</#if> ${ctrl.getMinorSortDir()}' }"</#if>>
            <el-table-column type="selection" width="55" <#if ctrl.isEnableRowEdit()>:selectable="${ctrl.name}.elementSelectable(arguments)"</#if>></el-table-column>
            <#if ctrl.isEnableRowEdit()><el-table-column type="index" width="55" v-if="${ctrl.name}.openRowEdit"></el-table-column></#if>
            <#-- 是否有默认适配列 begin -->
            <#assign adaptationColu = true/>
            <#list ctrl.getPSDEGridColumns() as column>
            <#if column.getWidthUnit() == 'STAR'>
            <#assign adaptationColu = false/>
            </#if>
            </#list>
            <#-- 是否有默认适配列 end -->
    
            <#-- 输出列内容 begin -->
            <#list columns as column>
            ${column.code}
            </#list>
            <#-- 输出列内容 end -->
            <#if adaptationColu><el-table-column></el-table-column></#if>
        </el-table>
    </row>
    <#if ctrl.isEnablePagingBar()>
    <row class="ibiz-grid-page" v-if="${ctrl.name}.items.length > 0">
        <page @on-change="${ctrl.name}.elementOnChange(arguments)" @on-page-size-change="${ctrl.name}.elementOnPageSizeChange(arguments)" :transfer="true" :total="${ctrl.name}.totalrow"
            show-sizer :current="${ctrl.name}.curPage" :page-size="${ctrl.name}.limit" :page-size-opts="[10, 20, 30, 40, 50, 60, 70, 80, 90, 100]" show-elevator show-total>
            <span><span class="page-refresh"><i-button icon="md-refresh" title="刷新" @click="${ctrl.name}.refresh()"></i-button></span>显示 {{ (${ctrl.name}.curPage - 1)*${ctrl.name}.limit + 1}} - {{${ctrl.name}.totalrow > ${ctrl.name}.curPage*${ctrl.name}.limit ? ${ctrl.name}.curPage*${ctrl.name}.limit : ${ctrl.name}.totalrow}} 条，共 {{${ctrl.name}.totalrow}} 条</span>
        </page>
    </row>
    </#if>
</div>