<#if ctrl.getPSDETree()??>
<#assign tree = ctrl.getPSDETree()>
<nz-sider [nzWidth]="<#if ctrl.getWidth() lt 240>240<#else>${ctrl.getWidth()}</#if>" class="tree-sider" [style.height]="'<#if ctrl.getHeight() gt 0>${ctrl.getHeight()?c}px<#else>calc(100vh - 148px)</#if>'">
    <div class="ibiz-exptree" style="height: 40px;">
        <div class="ibiz-exptree-title">
        <h3><#if ctrl.getTitle() == ''>${tree.getLogicName()}<#else>${ctrl.getTitle()}</#if></h3>
        </div>

    </div>
    <div class="tree-view-content" style="height: calc(100% - 40px);">
        <nz-tree [(ngModel)]="${tree .name}.$nodes" [nzShowLine]="true" [nzDefaultSelectedKeys]="${tree .name}.$selectedKeys" [nzAsyncData]="true" (nzExpandChange)="${tree .name}.mouseAction('expand',$event)" (nzClick)="${tree .name}.onEvent($event)">
        </nz-tree>
    </div>
</nz-sider>
</#if>