<#if ((view.getPSDataEntity()??) && (view.hasPSControl('searchform')))>
    <#assign de = view.getPSDataEntity()>
    <#assign form = view.getPSControl('searchform')>
    /**
     * 搜索表单属性值发生变化
     * 
     * @param {string} fieldname 
     * @param {*} field 
     * @param {*} value 
     * @memberof ${view.codeName}ControllerBase
     */
    ${view.codeName}ControllerBase.prototype.onSearchFormFieldChanged = function(fieldname, field, value) {
        var form = this.getSearchForm();

        <#list searchform_fdlogics as fdlogic>
            ${fdlogic}  
        </#list>

        <#if form.getPSDEFormItems()??>
        <#list form.getPSDEFormItems() as formitem>
        <#if formitem.getPSDEFormItemUpdate()??>
        if (Object.is(fieldname, '${formitem.name}')) {
            form.updateFormItems({srfufimode:'${formitem.getPSDEFormItemUpdate().codeName}'});
        }
        </#if>
        </#list>
        </#if>
    }
    </#if>

    <#--  视图是否默认加载  -->
    <#if (!view.isLoadDefault())>
    /**
     * 是否默认加载
     * 
     * @returns {boolean} 
     * @memberof ${view.codeName}ControllerBase
     */
    ${view.codeName}ControllerBase.prototype.isLoadDefault = function() {
        return false;
    }
    </#if>

    <#--  视图是否支持快速搜索  -->
    <#if (!view.isEnableQuickSearch())>
    /**
     * 是否支持快速搜索
     * 
     * @returns {boolean} 
     * @memberof ${view.codeName}ControllerBase
     */
    ${view.codeName}ControllerBase.prototype.isEnableQuickSearch = function() {
        return false;
    }
    </#if>