Vue.component('${filename(view.codeName)}_modalview', {
    template: `
        <div class="ibiz-modal-view ibiz-mpickup-view">

            <#assign viewitems=view.getPSControls("pickupviewpanel",10)>
            <#list viewitems as viewitem>
            <div class="pickupviewpanel">
                <div class="center">
                        <${filename('${viewitem.getPSAppDEView().codeName}')}_embeddedview :params="viewController.viewParam"  :multiselect="true"  @selectionChange="${viewitem.name}.onSelectionChange($event)"  @dataActivated="${viewitem.name}.onDataActivated($event)"  @allData="${viewitem.name}.onAllData($event)"></${filename('${viewitem.getPSAppDEView().codeName}')}_embeddedview>
                </div>
                <div class="translate-buttons">
                    <div class="buttons">
                        <i-button type="primary" :title="viewController.MPickupResult.onRightText" :disabled="viewController.MPickupResult.curSelecttions.length === 0"
                            @click="viewController.MPickupResult.onRightClick()">
                            <i class="el-icon-arrow-right"></i>
                        </i-button>
                        <i-button type="primary" :title="viewController.MPickupResult.onLeftText" :disabled="viewController.MPickupResult.resSelecttions.length === 0"
                            @click="viewController.MPickupResult.onLeftClick()">
                            <i class="el-icon-arrow-left"></i>
                        </i-button>
                        <i-button type="primary" :title="viewController.MPickupResult.onAllRightText" @click="viewController.MPickupResult.onRightAllClick()">
                            <i class="el-icon-d-arrow-right"></i>
                        </i-button>
                        <i-button type="primary" :title="viewController.MPickupResult.onAllLeftText" @click="viewController.MPickupResult.onLeftAllClick()">
                            <i class="el-icon-d-arrow-left"></i>
                        </i-button>

                    </div>
                </div>
                <div class="right">
                    <div class="mpicker-select">
                        <div v-for="(item) of viewController.MPickupResult.selections" @click="viewController.MPickupResult.resultSelect(item)"
                            @dblclick="viewController.MPickupResult.dataActivated(item)" :class="{'select': item.select}">
                            <span>{{ item.srfmajortext }}</span>
                        </div>
                    </div>
                </div>
            </div>
            </#list>

            <card :dis-hover="true" :bordered="false" class="footer">
                <row :style="{ textAlign: 'right' }">
                    <i-button type="primary" :disabled="viewController.MPickupResult.selections.length === 0" @click="viewController.onClickOkButton()">{{ viewController.okBtnText }}</i-button>
                    <i-button @click="viewController.onClickCancelButton('onCancel')">{{ viewController.cancelBtnText }}</i-button>
                </row>
            </card>
        </div>
            `,
    <#ibizinclude>../../@MACRO/MODAL_VIEW_COMPONENT_PROPS.ftl</#ibizinclude>
    <#ibizinclude>../../@MACRO/LIFECYCLE_HOOK.ftl</#ibizinclude>
    methods: {

    },
});