Vue.component('${filename(view.codeName)}_modalview', {
    template: `
        <div class="ibiz-modal-view">
            <#assign viewitems=view.getPSControls("pickupviewpanel",10)>
            <#list viewitems as viewitem>
            <${filename('${viewitem.getPSAppDEView().codeName}')}_embeddedview :params="viewController.viewParam" :multiselect="false" @selectionChange="${viewitem.name}.onSelectionChange($event)"  @dataActivated="${viewitem.name}.onDataActivated($event)" style="height: calc(100% - 42px);"></${filename('${viewitem.getPSAppDEView().codeName}')}_embeddedview>
            </#list>
            <card :dis-hover="true" :bordered="false" class="footer">
                <row :style="{ textAlign: 'right' }">
                    <i-button type="primary" :disabled="!viewController.isSelect" @click="viewController.onClickOkButton()">{{ viewController.okBtnText }}</i-button>
                    <i-button @click="viewController.onClickCancelButton('onCancel')">{{ viewController.cancelBtnText }}</i-button>
                </row>
            </card>
        </div>
            `,
    <#ibizinclude>../../@MACRO/MODAL_VIEW_COMPONENT_PROPS.ftl</#ibizinclude>
    <#ibizinclude>../../@MACRO/LIFECYCLE_HOOK.ftl</#ibizinclude>
    methods: {

    },
});