Vue.component('${filename(view.codeName)}', {
    template: `
        <ibiz-card class="ibiz-gridview ibiz-view" :dis-hover="true">

            <#ibizinclude>../../@MACRO/VIEW_CAPTION.ftl</#ibizinclude>

            <#if toolbar??>
            <span slot="extra">
                <div v-show="!viewController.isOpenRowEdit">
						<#if toolbar??>
						${toolbar.code}
						</#if>
					</div>
					<div v-show="viewController.isOpenRowEdit">
						<#if toolbar2??>
						${toolbar2.code}
						</#if>
					</div>
            </span>
            </#if>

            <div class="ibiz-gridview-content">
                <#comment><!--开始：快速搜索或搜索表单存在--></#comment>
                <#if view.isEnableQuickSearch()>
                <row class="ibiz-quick-search">
                    <i-input v-model="viewController.searchValue" @on-search="viewController.onQuickSearch(viewController.searchValue)"  search enter-button :style="{ width: '400px', float: 'left' }" :placeholder="viewController.quickSearchTipInfo"/>
                </row>
                </#if>
                <#comment><!--结束：快速搜索或搜索表单存在--></#comment>

                <#if grid??>
                <row class="ibiz-center">
                    ${grid.code}
                </row>
                </#if>
            </div>
        </ibiz-card>
            `,
    <#ibizinclude>../../@MACRO/VIEW_COMPONENT_PROPS.ftl</#ibizinclude>
    <#ibizinclude>../../@MACRO/LIFECYCLE_HOOK.ftl</#ibizinclude>
    methods: {
        <#if grid??>
        ${grid.code2}
        </#if>
    },
    watch: {

    }
});