Vue.component('${filename(view.codeName)}', {
    template: `
        <card :dis-hover="true">

        <#if view.isShowCaptionBar()>
            <p slot="title">

            <#if view.getPSSysImage()??>
            <#assign viewimg = view.getPSSysImage()/>
            <#if viewimg.getImagePath() ==  "">
            <span class="caption-image"><i class="${viewimg.getCssClass()}"></i></span>
            <#else>
            <span class="caption-image"><img src="${viewimg.getImagePath()}"/></span>
            </#if>
            </#if>
            <span class="caption-info">${view.getCaption()}</span>
            <#if view.isShowDataInfoBar()>
            <span class="data-info">
                <span>：</span>
                <span>{{ viewController.dataInfo }}</span>
            </span>
            </#if>

        </p>
        </#if>

            <row>
                <#if form??>
                ${form.code}
                </#if>
            </row>

            <row :style="{ textAlign: 'right' }">
                <i-button type="primary" @click="viewController.onClickOkButton()">确定</i-button>
                <i-button @click="viewController.onClickCancelButton()">取消</i-button>
            </row>

        </card>
            `,
    <#ibizinclude>../../@MACRO/VIEW_COMPONENT_PROPS.ftl</#ibizinclude>
    <#ibizinclude>../../@MACRO/LIFECYCLE_HOOK.ftl</#ibizinclude>
    methods: {

    },
    watch: {
        'params': function (val) {
            this.viewController.fillViewParams(val);
        }
    }
});