<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1.0, minimum-scale=1.0, maximum-scale=1.0, user-scalable=no">
	<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
	<meta name="renderer" content="webkit">
	<title>${view.getTitle()}</title>
</head>
<link rel="stylesheet" href="${filename(view.codeName)}.css"></link>
<body>
<div id="container">
	<div class="login_backgroud_img">
        <img src="../../../packages/assets/img/login_background.png">
    </div>
	<div class="wrap">
		<div class="log_form">
		    <form>
		        <div class="form_container">
		            <div class="form-group">
		                <img src="../../../packages/assets/img/login_logo.png" />
		            </div>
		            <div class="form-group">
		                <input type="email" class="form_input" id="userName" placeholder="请输入用户名">
		            </div>
		            <div class="form-group">
		                <input type="password" class="form_input" id="pwd" placeholder="请输入密码">
		            </div>
		
		            <div class="form-group">
		                <label class="form-check-label request-answer" for="invalidCheck3" id="request-answer">
		                </label>
		            </div>
		
		            <div class="form-group">
		                <button type="button" class="login_btn btn btn-primary" onclick="loginAction()">登录</button>
		                <button type="button" class="login_reset btn btn-default" onclick="loginReset()">重置</button>
		            </div>
		            <div class="form-group">
		                <p class="form_tipinfo">温馨提示:</p>
		                <p class="form_tipinfo_more">
		                    	第一次进入系统需要初始化管理员用户，请点击下面按钮进行 初始化，才可以正常登录。
		                </p>
		            </div>
		            <div class="form-group">
		                <button type="button" id="sys_init" class="btn btn-default" onclick="initSystem()">初始化</button>
		            </div>
		        </div>
		    </form>
		</div>
		<div class="log_footer">
            <div class="copyright">Copyright ？ 2018
            <a href="http://www.ibizsys.net/ibizsys/channelview?channelId=ibizsys.about" target="_blank">埃毕致（上海）云计算科技</a> 版权所有</div>
        </div>
	</div>
</div>
<!-- 初始化成功提示模态框 -->
<div class="modal popo1" style="display: none;">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title">初始化</h5>
                <span class="close" onclick="closeModal(1)">&times;</span>
            </div>
            <div class="modal-body">
                <div style="padding: 29px 86px;">
                    <img src="../../../packages/assets/img/popover.png">
                    <span id="sysinit_successinfo"></span>
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-primary" onclick="closeModal(1)">确定</button>
            </div>
        </div>
    </div>
</div>
<!-- 初始化错误提示模态框 -->
<div class="modal popo2" style="display: none;">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title">异常</h5>
                <span class="close" onclick="closeModal(2)">&times;</span>
            </div>
            <div class="modal-body">
                <div style="padding: 29px 86px;">
                    <img src="../../../packages/assets/img/popover.png">
                    <span id="sysinit_errorinfo"></span>
                </div>
            </div>
            <div class="modal-footer">
                <button class="btn btn-primary" onclick="closeModal(2)">确定</button>
            </div>
        </div>
    </div>
</div>
<script type="text/javascript" src="${filename(view.codeName)}.js"></script>
</body>
</html>