<#ibiztemplate>
PUBOBJ=Vue2.PSVue2DEWizardCode
</#ibiztemplate>
<#if ctrl.getPSDEWizard()??>
<#assign wizard=ctrl.getPSDEWizard()>
<#if ctrl.isShowStepBar() && wizard.getPSDEWizardSteps()??>
<div class="ibiz-wizard-header">
    <el-steps :active="${ctrl.name}.getStepIndex(${ctrl.name}.curStep)" finish-status="success">
        <#list wizard.getPSDEWizardSteps() as step>
        <el-step title="${step.getTitle()}" description="${step.getSubTitle()}"<#if step.getPSSysImage()??> icon="${step.getPSSysImage().getCssClass()}"</#if>></el-step>
        </#list>
        <el-step title="完成"></el-step>
    </el-steps>
</div>
</#if>
<#if wizard.getPSDEWizardForms()??>
<div class="ibiz-wizard-center">
    <#list wizard.getPSDEWizardForms() as form>
    <div v-show="${ctrl.name}.curFormName == '${ctrl.name}_form_${form.getFormTag()}'">
        ${srfctrl('wizardpanel_form_${form.getFormTag()}').code}
    </div>
    </#list>
    <div v-show="${ctrl.name}.curFormName == 'finish'">
        <div class="ibiz-wizard-finish">
            <div>
                <Icon type="ios-checkmark-circle" />
            </div>
            完成
        </div>
    </div>
</div>
</#if>
<div class="ibiz-wizard-foolter">
    <Button v-if="${ctrl.name}.isVisible(${ctrl.name}.curFormName, 'PREV')" type="primary" @click="wizardpanel.goPrev()"><#if wizard.getPrevCaption()?length gt 0>${wizard.getPrevCaption()}<#else>上一步</#if></Button>
    <Button v-if="${ctrl.name}.isVisible(${ctrl.name}.curFormName, 'NEXT')" type="primary" @click="wizardpanel.goNext()"><#if wizard.getNextCaption()?length gt 0>${wizard.getNextCaption()}<#else>下一步</#if></Button>
    <Button v-if="${ctrl.name}.isVisible(${ctrl.name}.curFormName, 'FINISH')" type="primary" @click="wizardpanel.goFinish()"><#if wizard.getFinishCaption()?length gt 0>${wizard.getFinishCaption()}<#else>完成</#if></Button>
</div>
</#if>