<#ibiztemplate>
PUBOBJ=Vue2.PSVue2DEGridViewCode
</#ibiztemplate>
/**
 * ${ctrl.getLogicName()} （数据表格）
 *
 * @class ${srfclassname('${ctrl.name}')}
 * @extends {IBizDataGrid}
 */
var ${view.codeName}_${srfclassname('${ctrl.name}')} = /** @class */ (function (_super) {

    __extends(${srfclassname('${ctrl.name}')}, _super);
  
    /**
     * Creates an instance of ${srfclassname('${ctrl.name}')}.
     * 创建 ${srfclassname('${ctrl.name}')} 实例
     *
     * @param {*} [opts={}]
     * @memberof ${srfclassname('${ctrl.name}')}
     */
    function ${srfclassname('${ctrl.name}')}(opts) {
        if (opts === void 0) { opts = {}; }
        var _this_1 = _super.call(this, opts) || this;
        var _this = _this_1;
        _this.limit = ${ctrl.getPagingSize()?c};
        _this.setMultiSelect(<#if !ctrl.isSingleSelect()>true<#else>false</#if>);
        _this.isEnableRowEdit = <#if ctrl.isEnableRowEdit()>true<#else>false</#if>;
        <#assign gridhandler = view.getPSControl("GRID").getPSAjaxControlHandler()>
        _this.maxExportRow = <#if gridhandler?? && gridhandler.getPSDEDataExport()??>${gridhandler.getPSDEDataExport().getMaxRowCount()?c}<#else>${sys.getDEDataExportMaxRowCount()?c}</#if>;
        <#if (!ctrl.isNoSort()) && (ctrl.getMinorSortPSDEF()??) && (ctrl.getMinorSortDir()??)>
        Object.assign(this.defaultSort, { property: '${ctrl.getMinorSortPSDEF().getName()?lower_case}', direction: '${ctrl.getMinorSortDir()?lower_case}' });
        this.gridSortField.push(this.defaultSort);
        </#if>
        return _this_1;
    }
  
    /**
     * 注册表头
     *
     * @memberof ${srfclassname('${ctrl.name}')}
     */
    ${srfclassname('${ctrl.name}')}.prototype.regColumns = function () {
        <#list columns as column>
        ${column.code}
        </#list>
    };
    <#comment><!--开始：启用行编辑--></#comment>
    <#if ctrl.isEnableRowEdit()>
  
    /**
     * 注册表格所有编辑项 (启用编辑后的数据项)
     *
     * @memberof ${srfclassname('${ctrl.name}')}
     */
    ${srfclassname('${ctrl.name}')}.prototype.regEditItems = function () {
        <#list columns as column>
        ${column.code2}
        </#list>
        <#if ctrl.getPSDEGridEditItems()??>
        <#list ctrl.getPSDEGridEditItems() as editItem>
        <#if editItem.getEditorType() == "HIDDEN">
        this.regEditItem( { name: '${editItem.getName()?lower_case}', enabledcond: ${editItem.getEnableCond()}, styleCss: {} });
        </#if>
        </#list>
        </#if>
    };
    </#if>
    <#comment><!--结束：启用行编辑--></#comment>
  
    return ${srfclassname('${ctrl.name}')};
    
  }(IBizDataGrid));