<#--  嵌入视图参数 -->
   props: {
        params: {
            type: Object
        },
        viewUsage: {
            type: Number,
            default: 4
        },
        refreshRefView: {
            type: Number,
            default: 0
        },
        srfParentMode: {
            type: Object
        },
        srfParentData: {
            type: Object
        },
        srfReferData: {
            type: Object
        },
        multiselect: {
            type: Boolean
        },
        currentValue: {
            type: Object
        },
        deleteData: {
            type: Object
        },
        saveRefView: {
        	type: Number
        },
    },
    watch: {
        'params': function (val) {
            this.viewController.fullComponentParam(val);
        },
        'refreshRefView': function (refreshRefView) {
            if (refreshRefView > 0) {
                this.viewController.onRefresh();
            }
        },
        'srfParentData': function (srfParentData) {
            this.viewController.setParentData(srfParentData);
        },
        'srfReferData': function (srfReferData) {
            this.viewController.setReferData(srfReferData);
        },
        'saveRefView': function(saveRefView) {
            if(saveRefView > 0) {
                this.viewController.saveData();
            }
        },
    },
    destroyed:function () {
        this.viewController.VueOnDestroy();
        console.log('Destroy 嵌入视图 ${view.name}');
    },