Vue.component('${filename(view.codeName)}', {
    template: `
        <ibiz-card class="ibiz-pickup-view ibiz-view" :dis-hover="true" :bordered="false">

            <#ibizinclude>../../@MACRO/VIEW_CAPTION.ftl</#ibizinclude>

            <div class="pickupviewpanel-contant">
            <#assign viewitems=view.getPSControls("pickupviewpanel",10)>
            <#list viewitems as viewitem>
                <#if viewitem.getPSAppDEView().isEmbeddedView()>
                <${filename('${viewitem.getPSAppDEView().codeName}')}_embeddedview :params="viewController.viewParam" :multiselect="false" @selectionChange="${viewitem.name}.onSelectionChange($event)"  @dataActivated="${viewitem.name}.onDataActivated($event)"></${filename('${viewitem.getPSAppDEView().codeName}')}_embeddedview>
                </#if>
            </#list>
				<card :dis-hover="true" :bordered="false" class="footer">
					<row :style="{ textAlign: 'right' }">
						<i-button type="primary" :disabled="!viewController.isSelect" @click="viewController.onClickOkButton()">{{ viewController.okBtnText }}</i-button>
						<i-button @click="viewController.onClickCancelButton('onCancel')">{{ viewController.cancelBtnText }}</i-button>
					</row>
				</card>
            </div>
        </ibiz-card>
            `,
    <#ibizinclude>../../@MACRO/VIEW_COMPONENT_PROPS.ftl</#ibizinclude>
    <#ibizinclude>../../@MACRO/LIFECYCLE_HOOK.ftl</#ibizinclude>
    methods: {

    },
    watch: {
        'params': function (val) {
            this.viewController.fillViewParams(val);
        }
    }
});