Vue.component('${filename(view.codeName)}', {
    template: `
        <card :dis-hover="true">

            <#ibizinclude>../../@MACRO/VIEW_CAPTION.ftl</#ibizinclude>

            <row>
            <#assign viewitems=view.getPSControls("pickupviewpanel",10)>
            <#list viewitems as viewitem>
                <#if viewitem.getPSAppDEView().isEmbeddedView()>
                <${filename('${viewitem.getPSAppDEView().codeName}')}_embeddedview [viewParam]="viewParam" [modalViewParam]="modalViewParam" [modalZIndex]="modalZIndex" [multiselect]="false" (selectionChange)="${viewitem.name}.onSelectionChange($event)"  (dataActivated)="${viewitem.name}.onDataActivated($event)"></${filename('${viewitem.getPSAppDEView().codeName}')}_embeddedview>
                </#if>
            </#list>
            </row>
        </card>
            `,
    <#ibizinclude>../../@MACRO/VIEW_COMPONENT_PROPS.ftl</#ibizinclude>
    <#ibizinclude>../../@MACRO/LIFECYCLE_HOOK.ftl</#ibizinclude>
    methods: {

    },
    watch: {
        'params': function (val) {
            this.viewController.fillViewParams(val);
        }
    }
});