var index = null;

function logout() {
    ajaxPost('/${sys.getCodeName()}/${app.getAppFolder()}/${view.getPSAppModule().codeName}/${view.codeName}.do', {
        srfaction: 'logout'
    }, function (result) {
        if (result.ret == 0) {
            setTime();
        }
    }, function () {

    });
}

function setTime() {
    var dom = document.getElementById('time');
    var num = 5;
    index = setInterval(function () {
        if (num > 0) {
            num--;
            dom.innerHTML = num + "s";
        } else {
            goToLoginView();
        }
    }, 1000);
}

function goToLoginView() {
    clearInterval(index);
    window.location.href = "/" + IBizEnvironment.BaseUrl + IBizEnvironment.LoginRedirect;
}
/**
 * 请求
 * @param url
 * @param param
 * @param success
 * @param error
 * @returns
 */
function ajaxPost(url, param, success, error) {
    var httpRequest = new XMLHttpRequest();
    httpRequest.open('POST', url, true);
    httpRequest.setRequestHeader("Content-type", "application/x-www-form-urlencoded;charset=UTF-8");
    httpRequest.send(getPostParam(param));
    httpRequest.onreadystatechange = function () {
        if (httpRequest.readyState == 4) {
            if (httpRequest.status == 200) { //验证请求是否发送成功
                var json = httpRequest.responseText; //获取到服务端返回的数据
                var result = JSON.parse(json);
                if (success && typeof success == "function") {
                    success(result);
                }
            } else {
                if (error && typeof error == "function") {
                    error();
                }
            }
        }
    }
}
/**
 * 处理post请求参数
 * @param param
 * @returns
 */
function getPostParam(param) {
    var keys = Object.keys(param);
    var str = '';
    if (keys.length > 0) {
        keys.forEach(function (key) {
            str += '&' + key + '=' + param[key];
        });
        str = str.substring(1);
    }
    return str;
}
logout();